disp('CREATE ACTIVEX SERVER OBJECT');
h = actxserver('CornerDetector.CoCornerDetector'); 

disp('READ IMAGE FROM FILE');
img = imread('TEST.BMP') ;				

disp('GET IMAGE SIZE');		
imgsize = size(img);					

disp('CONFIGURE OBJECT COMPATIBLE WITH IMAGE SIZE');
h.lines = imgsize(1);		
h.columns = imgsize(2);		

disp('ALLOCATE ACTIVEX INTERNAL RESOURCES');
invoke(h,'create_corner_detector');

disp('MATLAB REPRESENTS DATA COLUMNWISE. USE THE TRANSPOSE');	
img_t = img'; 			


disp('DETECT CORNERS');
a = invoke(h,'detect_corners',img_t);				

disp('VISUALIZE DETECTED CORNERS');
disp('THERE IS A 1 PIXEL OFFSET BETWEEN THE ACTIVEX OBJECT AND MATLAB COORDINATES');
imshow(img); 
hold on; 
x = a(:,1)+1;
y = a(:,2)+1;
plot(x, y, '+'); 
hold off; 
disp('Press any key to continue ...');
pause;


disp('GET THE IMAGE WITH THE EIGENVALUES (SINGLE PRECISION)');
b = h.eig_image;

disp('VISUALISE EIGENIMAGE (TRANSPOSE IMAGE AND CONVERT TO DOUBLE PRECISION)');
figure;
colormap('gray');
c = b';
image(double(c));
disp('Press any key to continue ...'); pause; 

disp('CLOSE OBJECT');
invoke(h,'destroy_corner_detector');
delete(h);
